[Orca-checkins] rev 260 - in trunk/orca/data_gatherers: orca_services orcallator procallator

Blair Zajac blair at orcaware.com
Mon Oct 6 21:34:15 PDT 2003


Author: blair
Date: Mon Oct  6 21:34:01 2003
New Revision: 260

Modified:
   trunk/orca/data_gatherers/orca_services/S99orca_services.sh.in
   trunk/orca/data_gatherers/orcallator/S99orcallator.sh.in
   trunk/orca/data_gatherers/orcallator/start_orcallator.sh.in
   trunk/orca/data_gatherers/procallator/S99procallator.sh.in
Log:
* data_gatherers/procallator/S99procallator.sh.in,
* data_gatherers/orcallator/S99orcallator.sh.in,
* data_gatherers/orcallator/start_orcallator.sh.in,
* data_gatherers/orca_services/S99orca_services.sh.in:

Bourne shell whitespace and indentation consistently cleanup.  Use two
spaces for indentation.  Format case statements consistently.


Modified: trunk/orca/data_gatherers/orca_services/S99orca_services.sh.in
==============================================================================
--- trunk/orca/data_gatherers/orca_services/S99orca_services.sh.in	(original)
+++ trunk/orca/data_gatherers/orca_services/S99orca_services.sh.in	Mon Oct  6 21:34:01 2003
@@ -5,25 +5,25 @@
 bindir=@bindir@
 
 case "$1" in
-'start')
-	if [ -x $bindir/start_orca_services ]; then
-		umask 022
-		$bindir/start_orca_services
-	else
-		echo "$0: $bindir/start_orca_services does not exist or is not executable."
-	fi
-	;;
+  start)
+    if [ -x $bindir/start_orca_services ]; then
+      umask 022
+      $bindir/start_orca_services
+    else
+      echo "$0: $bindir/start_orca_services does not exist or is not executable."
+    fi
+    ;;
 
-'stop')
-	if [ -x $bindir/stop_orca_services ]; then
-		$bindir/stop_orca_services
-	fi
-	;;
-
-*)
-	echo "Usage: $0 { start | stop }"
-	exit 1
-	;;
+  stop)
+    if [ -x $bindir/stop_orca_services ]; then
+      $bindir/stop_orca_services
+    fi
+    ;;
 
+  *)
+    echo "usage: $0 {start|stop}"
+    exit 1
+    ;;
 esac
+
 exit 0

Modified: trunk/orca/data_gatherers/orcallator/S99orcallator.sh.in
==============================================================================
--- trunk/orca/data_gatherers/orcallator/S99orcallator.sh.in	(original)
+++ trunk/orca/data_gatherers/orcallator/S99orcallator.sh.in	Mon Oct  6 21:34:01 2003
@@ -8,25 +8,25 @@
 stop_orcallator="$bindir/stop_orcallator"
 
 case "$1" in
-'start')
+  start)
     if [ -x $start_orcallator ]; then
-        umask 022
-        $start_orcallator
+      umask 022
+      $start_orcallator
     else
-        echo "$0: $start_orcallator does not exist or is not executable."
+      echo "$0: $start_orcallator does not exist or is not executable."
     fi
     ;;
 
-'stop')
+  stop)
     if [ -x $stop_orcallator ]; then
-        $stop_orcallator
+      $stop_orcallator
     fi
     ;;
 
-*)
-    echo "Usage: $0 { start | stop }"
+  *)
+    echo "usage: $0 {start|stop}"
     exit 1
     ;;
-
 esac
+
 exit 0

Modified: trunk/orca/data_gatherers/orcallator/start_orcallator.sh.in
==============================================================================
--- trunk/orca/data_gatherers/orcallator/start_orcallator.sh.in	(original)
+++ trunk/orca/data_gatherers/orcallator/start_orcallator.sh.in	Mon Oct  6 21:34:01 2003
@@ -82,11 +82,12 @@
 SE_VERSION=`$SE -version | $AWK '{print $4}'`
 case "$SE_VERSION" in
   3.2.1|3.[3-9]*)
-     ;;
-  *) echo "SE version MUST be 3.2.1 or greater.  Please upgrade SE."
-     echo "See http://www.setoolkit.com for more information."
-     exit 1
-     ;;
+    ;;
+  *)
+    echo "SE version MUST be 3.2.1 or greater.  Please upgrade SE."
+    echo "See http://www.setoolkit.com for more information."
+    exit 1
+    ;;
 esac
 
 # Get the hostname without the fully qualified part; that is, trim off

Modified: trunk/orca/data_gatherers/procallator/S99procallator.sh.in
==============================================================================
--- trunk/orca/data_gatherers/procallator/S99procallator.sh.in	(original)
+++ trunk/orca/data_gatherers/procallator/S99procallator.sh.in	Mon Oct  6 21:34:01 2003
@@ -17,61 +17,60 @@
 # Source function library.
 . /etc/init.d/functions
 
-start ()
+start()
 {
-    echo -n $"Starting procallator: "
-    if [ -x $procallator ]; then
-        $procallator &
-        RETVAL=$?
-        PID=$!
-        if test $RETVAL -eq 0; then
-            success $"procallator startup"
-            touch /var/lock/subsys/procallator
-            echo $PID > /var/run/procallator.pid
-        else
-            failure $"procallator startup"
-        fi
-        echo
+  echo -n $"Starting procallator: "
+  if [ -x $procallator ]; then
+    $procallator &
+    RETVAL=$?
+    PID=$!
+    if test $RETVAL -eq 0; then
+      success $"procallator startup"
+      touch /var/lock/subsys/procallator
+      echo $PID > /var/run/procallator.pid
     else
-        failure "$0: $procallator does not exist or is not executable."
+      failure $"procallator startup"
     fi
+    echo
+  else
+    failure "$0: $procallator does not exist or is not executable."
+  fi
 }
 
-stop ()
+stop()
 {
-    echo -n $"Stopping procallator: "
-    killproc $procallator
-    RETVAL=$?
-    echo
-    if test $RETVAL -eq 0; then
-        rm -f /var/lock/subsys/procallator /var/run/procallator.pid
-    fi
+  echo -n $"Stopping procallator: "
+  killproc $procallator
+  RETVAL=$?
+  echo
+  if test $RETVAL -eq 0; then
+    rm -f /var/lock/subsys/procallator /var/run/procallator.pid
+  fi
 }
 
 # See how we were called.
 case "$1" in
-
-start)
+  start)
     start
     ;;
 
-stop)
+  stop)
     stop
     ;;
 
-status)
+  status)
     status procallator
     ;;
 
-restart)
+  restart)
     stop
     start
     ;;
 
-*)
-    echo "Usage: $0 {start|stop|restart|status}"
+  *)
+    echo "usage: $0 {start|stop|restart|status}"
     exit 1
     ;;
-
 esac
+
 exit $RETVAL



More information about the Orca-checkins mailing list